Mail archive
alpine-aports

[alpine-aports] [PATCH 4/9] testing/py-asn1-modules: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Wed, 3 Jun 2015 01:04:06 -0500

http://pypi.python.org/pypi/pyasn1-modules
A collection of ASN.1-based protocols modules
---
 testing/py-asn1-modules/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-asn1-modules/APKBUILD
diff --git a/testing/py-asn1-modules/APKBUILD b/testing/py-asn1-modules/APKBUILD
new file mode 100644
index 0000000..5f27b5d
--- /dev/null
+++ b/testing/py-asn1-modules/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=py-asn1-modules
+_pkgname=pyasn1-modules
+pkgver=0.0.5
+pkgrel=0
+pkgdesc="A collection of ASN.1-based protocols modules"
+url="http://pypi.python.org/pypi/pyasn1-modules"
+arch="noarch"
+license="BSD"
+depends="python py-openssl py-asn1"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="6c5c9dd61a5784ff22695ac233cb11f8  pyasn1-modules-0.0.5.tar.gz"
+sha256sums="be65f00ed28e30756f1ef39377cb382480a2368699179d646a84d79fe9349941  pyasn1-modules-0.0.5.tar.gz"
+sha512sums="b8fa41ed28087097502e8362022d819fe6914511c09f60f64f173c5674684fa8c45de23ce718700001d9f2d9b11adc17657d7cfd4cb24ea740b8d14eba8d8161  pyasn1-modules-0.0.5.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jun 03 2015 - 01:04:06 GMT